Package org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessTimer.TimerInstance

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessTimer.TimerInstance

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `Serializable`, `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
  Enclosing class:
    JBPMMessages.ProcessTimer

      public static final class JBPMMessages.ProcessTimer.TimerInstance
      extends com.google.protobuf.GeneratedMessageV3
      implements JBPMMessages.ProcessTimer.TimerInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessTimer.TimerInstance`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `JBPMMessages.ProcessTimer.TimerInstance.Builder` | Protobuf type `org.jbpm.marshalling.ProcessTimer.TimerInstance`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `ACTIVATED_TIME_FIELD_NUMBER` |
    `static int` | `DELAY_FIELD_NUMBER` |
    `static int` | `DEPRECATED_SESSIONID_FIELD_NUMBER` |
    `static int` | `ID_FIELD_NUMBER` |
    `static int` | `LAST_TRIGGERED_FIELD_NUMBER` |
    `static int` | `NAME_FIELD_NUMBER` |
    `static com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance>` | `PARSER` | Deprecated.
    `static int` | `PERIOD_FIELD_NUMBER` |
    `static int` | `PROCESS_INSTANCE_ID_FIELD_NUMBER` |
    `static int` | `REPEATLIMIT_FIELD_NUMBER` |
    `static int` | `SESSIONID_FIELD_NUMBER` |
    `static int` | `TIMER_ID_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `long` | `getActivatedTime()` | `optional int64 activated_time = 6;`
    `static JBPMMessages.ProcessTimer.TimerInstance` | `getDefaultInstance()` |
    `JBPMMessages.ProcessTimer.TimerInstance` | `getDefaultInstanceForType()` |
    `long` | `getDelay()` | `optional int64 delay = 3;`
    `int` | `getDEPRECATEDSessionId()` | `optional int32 DEPRECATED_sessionId = 8;`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `long` | `getId()` | `optional int64 id = 1;`
    `long` | `getLastTriggered()` | `optional int64 last_triggered = 7;`
    `String` | `getName()` | `optional string name = 11;`
    `com.google.protobuf.ByteString` | `getNameBytes()` | `optional string name = 11;`
    `com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance>` | `getParserForType()` |
    `long` | `getPeriod()` | `optional int64 period = 4;`
    `long` | `getProcessInstanceId()` | `optional int64 process_instance_id = 5;`
    `int` | `getRepeatLimit()` | `optional int32 repeatLimit = 10;`
    `int` | `getSerializedSize()` |
    `long` | `getSessionId()` | `optional int64 sessionId = 9;`
    `long` | `getTimerId()` | `optional int64 timer_id = 2;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
    `boolean` | `hasActivatedTime()` | `optional int64 activated_time = 6;`
    `boolean` | `hasDelay()` | `optional int64 delay = 3;`
    `boolean` | `hasDEPRECATEDSessionId()` | `optional int32 DEPRECATED_sessionId = 8;`
    `int` | `hashCode()` |
    `boolean` | `hasId()` | `optional int64 id = 1;`
    `boolean` | `hasLastTriggered()` | `optional int64 last_triggered = 7;`
    `boolean` | `hasName()` | `optional string name = 11;`
    `boolean` | `hasPeriod()` | `optional int64 period = 4;`
    `boolean` | `hasProcessInstanceId()` | `optional int64 process_instance_id = 5;`
    `boolean` | `hasRepeatLimit()` | `optional int32 repeatLimit = 10;`
    `boolean` | `hasSessionId()` | `optional int64 sessionId = 9;`
    `boolean` | `hasTimerId()` | `optional int64 timer_id = 2;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilder()` |
    `static JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilder​(JBPMMessages.ProcessTimer.TimerInstance prototype)` |
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilderForType()` |
    `protected JBPMMessages.ProcessTimer.TimerInstance.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
    `protected Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseDelimitedFrom​(InputStream input)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(byte[] data)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(InputStream input)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(ByteBuffer data)` |
    `static JBPMMessages.ProcessTimer.TimerInstance` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance>` | `parser()` |
    `JBPMMessages.ProcessTimer.TimerInstance.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

- - ### Field Detail

    - #### ID_FIELD_NUMBER

          public static final int ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TIMER_ID_FIELD_NUMBER

          public static final int TIMER_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DELAY_FIELD_NUMBER

          public static final int DELAY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PERIOD_FIELD_NUMBER

          public static final int PERIOD_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCE_ID_FIELD_NUMBER

          public static final int PROCESS_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ACTIVATED_TIME_FIELD_NUMBER

          public static final int ACTIVATED_TIME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### LAST_TRIGGERED_FIELD_NUMBER

          public static final int LAST_TRIGGERED_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DEPRECATED_SESSIONID_FIELD_NUMBER

          public static final int DEPRECATED_SESSIONID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SESSIONID_FIELD_NUMBER

          public static final int SESSIONID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### REPEATLIMIT_FIELD_NUMBER

          public static final int REPEATLIMIT_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NAME_FIELD_NUMBER

          public static final int NAME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance> PARSER

      Deprecated.

  - ### Method Detail

    - #### newInstance

          protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

      Overrides:
        `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

    - #### hasId

          public boolean hasId()

      `optional int64 id = 1;`
      Specified by:
        `hasId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the id field is set.

    - #### getId

          public long getId()

      `optional int64 id = 1;`
      Specified by:
        `getId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The id.

    - #### hasTimerId

          public boolean hasTimerId()

      `optional int64 timer_id = 2;`
      Specified by:
        `hasTimerId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the timerId field is set.

    - #### getTimerId

          public long getTimerId()

      `optional int64 timer_id = 2;`
      Specified by:
        `getTimerId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The timerId.

    - #### hasDelay

          public boolean hasDelay()

      `optional int64 delay = 3;`
      Specified by:
        `hasDelay` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the delay field is set.

    - #### getDelay

          public long getDelay()

      `optional int64 delay = 3;`
      Specified by:
        `getDelay` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The delay.

    - #### hasPeriod

          public boolean hasPeriod()

      `optional int64 period = 4;`
      Specified by:
        `hasPeriod` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the period field is set.

    - #### getPeriod

          public long getPeriod()

      `optional int64 period = 4;`
      Specified by:
        `getPeriod` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The period.

    - #### hasProcessInstanceId

          public boolean hasProcessInstanceId()

      `optional int64 process_instance_id = 5;`
      Specified by:
        `hasProcessInstanceId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the processInstanceId field is set.

    - #### getProcessInstanceId

          public long getProcessInstanceId()

      `optional int64 process_instance_id = 5;`
      Specified by:
        `getProcessInstanceId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The processInstanceId.

    - #### hasActivatedTime

          public boolean hasActivatedTime()

      `optional int64 activated_time = 6;`
      Specified by:
        `hasActivatedTime` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the activatedTime field is set.

    - #### getActivatedTime

          public long getActivatedTime()

      `optional int64 activated_time = 6;`
      Specified by:
        `getActivatedTime` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The activatedTime.

    - #### hasLastTriggered

          public boolean hasLastTriggered()

      `optional int64 last_triggered = 7;`
      Specified by:
        `hasLastTriggered` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the lastTriggered field is set.

    - #### getLastTriggered

          public long getLastTriggered()

      `optional int64 last_triggered = 7;`
      Specified by:
        `getLastTriggered` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The lastTriggered.

    - #### hasDEPRECATEDSessionId

          public boolean hasDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`
      Specified by:
        `hasDEPRECATEDSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the dEPRECATEDSessionId field is set.

    - #### getDEPRECATEDSessionId

          public int getDEPRECATEDSessionId()

      `optional int32 DEPRECATED_sessionId = 8;`
      Specified by:
        `getDEPRECATEDSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The dEPRECATEDSessionId.

    - #### hasSessionId

          public boolean hasSessionId()

      `optional int64 sessionId = 9;`
      Specified by:
        `hasSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the sessionId field is set.

    - #### getSessionId

          public long getSessionId()

      `optional int64 sessionId = 9;`
      Specified by:
        `getSessionId` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The sessionId.

    - #### hasRepeatLimit

          public boolean hasRepeatLimit()

      `optional int32 repeatLimit = 10;`
      Specified by:
        `hasRepeatLimit` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the repeatLimit field is set.

    - #### getRepeatLimit

          public int getRepeatLimit()

      `optional int32 repeatLimit = 10;`
      Specified by:
        `getRepeatLimit` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The repeatLimit.

    - #### hasName

          public boolean hasName()

      `optional string name = 11;`
      Specified by:
        `hasName` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        Whether the name field is set.

    - #### getName

          public String getName()

      `optional string name = 11;`
      Specified by:
        `getName` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The name.

    - #### getNameBytes

          public com.google.protobuf.ByteString getNameBytes()

      `optional string name = 11;`
      Specified by:
        `getNameBytes` in interface `JBPMMessages.ProcessTimer.TimerInstanceOrBuilder`
      Returns:
        The bytes for name.

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(ByteBuffer data)
                                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(ByteBuffer data,
                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(com.google.protobuf.ByteString data)
                                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(com.google.protobuf.ByteString data,
                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(byte[] data)
                                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(byte[] data,
                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(InputStream input)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(InputStream input,
                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseDelimitedFrom​(InputStream input)
                                                                            throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseDelimitedFrom​(InputStream input,
                                                                                   com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                            throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(com.google.protobuf.CodedInputStream input)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessTimer.TimerInstance parseFrom​(com.google.protobuf.CodedInputStream input,
                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilder()

    - #### newBuilder

          public static JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilder​(JBPMMessages.ProcessTimer.TimerInstance prototype)

    - #### toBuilder

          public JBPMMessages.ProcessTimer.TimerInstance.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessTimer.TimerInstance.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstance

          public static JBPMMessages.ProcessTimer.TimerInstance getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessTimer.TimerInstance> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessTimer.TimerInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`